Summary:   Screen - Manages multiple sessions on one tty
Name:      screen
Version:   3.7.4
Release:   1
Copyright: distributable
Group:     Utilities/Terminal
Source:    ftp://ftp.hhmi.swmed.edu/pub/linux/source/gnu/screen-%{PACKAGE_VERSION}.tar.gz
Patch0:    screen-3.6.2.patch
Patch1:    screen-3.7.3-linux.patch
Patch2:    screen-3.7.1-glibc.patch
Patch3:    screen-3.7.3-tty.patch
Packager:  Marcin Bohosiewicz <marcus@krakow.linux.org.pl>
BuildRoot: /tmp/screen-%{PACKAGE_VERSION}-build

%description
Screen is a program that allows you to have multiple
logins on one terminal.  It is useful in situations where
you are telnetted into a machine or connected via a dumb
terminal and want more than just one login.


%prep
%setup
%patch0
%patch1 -p1

%ifarch axp
%patch2 -p1
%endif

%patch3 -p1 

%build
./configure --prefix=/usr
make

%install
install -d $RPM_BUILD_ROOT/{etc/skel,usr/{bin,man/man1,info}}

install -s screen $RPM_BUILD_ROOT/usr/bin
install doc/screen.1 $RPM_BUILD_ROOT/usr/man/man1
install doc/screen.info* $RPM_BUILD_ROOT/usr/info
install etc/etcscreenrc $RPM_BUILD_ROOT/etc/screenrc
install etc/screenrc $RPM_BUILD_ROOT/etc/skel/.screenrc

gzip -9nf $RPM_BUILD_ROOT/usr/info/screen.info*


%files
%doc NEWS README FAQ INSTALL ChangeLog

%attr (4755,root,root) /usr/bin/screen
%attr (0644,root,man) /usr/man/man1/screen.1
%attr (0644,root,root) /usr/info/screen.info*
%attr (0644,root,root) %config(noreplace) /etc/skel/.screenrc
%attr (0644,root,root) %config(noreplace) /etc/screenrc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 17 1997 Marcin Bohosiewicz <marcus@krakow.linux.org.pl>
- added %%{PACKAGE_VERSION} macro to Source,
- all rewrited for using Buildroot,
- added #define PTYGROUP 5 and #define PTYMODE 0620 in config.h.in
  gid=5 is tty group in RedHat Linux (/dev/tty* used by screen is not
  curently writable by other users), 
- added striping screen binary,
- added %attr macros in %files (allow build package from non root
  account),
- added %clear section.
